# Function RxapObservableDataSource

- RxapObservableDataSource<Data>(metadata, className?, packageName?): ((target) => void)

- #### Type Parameters

  - Data

  #### Parameters

  - metadata: ObservableDataSourceMetadata<Data>
  - className: string = 'ObservableDataSource'
  - packageName: string = '@rxap/data-source'

  #### Returns ((target) => void)

  - - (target): void

    - #### Parameters

      - target: Constructor<ObservableDataSource<Data>>

      #### Returns void

  - Defined in packages/angular/data-source/src/lib/observable.data-source.ts:39